#include <bits/stdc++.h>
#define FAST {ios_base::sync_with_stdio(false);cin.tie(0);cout.tie(0);}
#define FILES {freopen("input.txt", "r", stdin);freopen("output.txt", "w", stdout);}
#define ll long long
#define ull unsigned long long
#define pqueue priority_queue
#define pb push_back
#define fi first
#define se second
#define ld long double
#define pii pair<int,int>
#define pll pair<long long,long long>
#define all(a) (a).begin(), (a).end()
#define mp make_pair 
using namespace std;
/*
#include <ext/pb_ds/assoc_container.hpp>
#include <ext/pb_ds/tree_policy.hpp>
using namespace __gnu_pbds;

#define ordered_set tree<pll, null_type,less<pll>, rb_tree_tag,tree_order_statistics_node_update>
*/
// order_of_key -> # less than k
// find_by_order -> k-th element
// pq max element                                          

void files() {
    #ifndef ONLINE_JUDGE
        freopen("input.txt", "r", stdin);
        freopen("output.txt", "w", stdout);
    #endif
}

const double eps = 0.00000001;
const ll NMAX = 1e6+10;
const ll inf = 1e16;
const ll modi = 1e9+7;

void solve() {
    int n,q;
    cin >> n >> q;
    vector<int>v(n);
    for (int i = 0 ; i < n ; i++ ) {
        cin >> v[i];
    }

    sort(all(v));
    while(q--) {
        int a;
        cin >> a;
        int N = n;
        int i1,i2;
        int k = 0;
        if ( !binary_search(all(v), a) ) {
            i1 = i2 = upper_bound(all(v),a)-v.begin();
            N++;
            k++;
        }
        else {
            i1 = lower_bound(all(v),a)-v.begin();
            i2 = upper_bound(all(v),a)-v.begin();
            i2--;
        }

        int idx = (N)/2;
        if ( i1 <= idx && idx <= i2 ) {
            cout << k << endl;
            continue;
        }
        if ( idx < i1 ) {
            cout << (i1)*2-N + k << endl;
            continue;
        }
            cout << (N-i2)*2-N + k << endl;

    }
} 

int main () { 
    FAST
    int t=1;

    /*
    cin >> t;
    //*/

    int i = 1;
    while(t--) {
        //cout << "Case #" << i++ << ": " ;
        solve();
    }
}